SavedRequest (Tomcat API Documentation)
Keywords: org.apache.catalina.authenticator.SavedRequest class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.authenticator
Class SavedRequest

    java.lang.Object
      org.apache.catalina.authenticator.SavedRequest

    public final class SavedRequest

extends java.lang.Object

Object that saves the critical information from a request so that form-based authentication can reproduce it once the user has been authenticated.

IMPLEMENTATION NOTE - It is assumed that this object is accessed only from the context of a single thread, so no synchronization around internal collection classes is performed.

Version:
  $Revision: 536381 $ $Date: 2007-05-09 01:58:24 +0200 (Wed, 09 May 2007) $
Author:
  Craig R. McClanahan

Constructor Summary
`SavedRequest()`

Method Summary
`void` | `addCookie(javax.servlet.http.Cookie cookie)`
`void` | `addHeader(java.lang.String name, java.lang.String value)`
`void` | `addLocale(java.util.Locale locale)`
`void` | `addParameter(java.lang.String name, java.lang.String[] values)`
`ByteChunk` | `getBody()`
`java.lang.String` | `getContentType()`
`java.util.Iterator` | `getCookies()`
`java.util.Iterator` | `getHeaderNames()`
`java.util.Iterator` | `getHeaderValues(java.lang.String name)`
`java.util.Iterator` | `getLocales()`
`java.lang.String` | `getMethod()`
`java.util.Iterator` | `getParameterNames()`
`java.lang.String[]` | `getParameterValues(java.lang.String name)`
`java.lang.String` | `getQueryString()`
`java.lang.String` | `getRequestURI()`
`void` | `setBody(ByteChunk body)`
`void` | `setContentType(java.lang.String contentType)`
`void` | `setMethod(java.lang.String method)`
`void` | `setQueryString(java.lang.String queryString)`
`void` | `setRequestURI(java.lang.String requestURI)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SavedRequest

    public SavedRequest()

Method Detail

### addCookie

    public void addCookie(javax.servlet.http.Cookie cookie)

### getCookies

    public java.util.Iterator getCookies()

### addHeader

    public void addHeader(java.lang.String name,
                          java.lang.String value)

### getHeaderNames

    public java.util.Iterator getHeaderNames()

### getHeaderValues

    public java.util.Iterator getHeaderValues(java.lang.String name)

### addLocale

    public void addLocale(java.util.Locale locale)

### getLocales

    public java.util.Iterator getLocales()

### getMethod

    public java.lang.String getMethod()

### setMethod

    public void setMethod(java.lang.String method)

### addParameter

    public void addParameter(java.lang.String name,
                             java.lang.String[] values)

### getParameterNames

    public java.util.Iterator getParameterNames()

### getParameterValues

    public java.lang.String[] getParameterValues(java.lang.String name)

### getQueryString

    public java.lang.String getQueryString()

### setQueryString

    public void setQueryString(java.lang.String queryString)

### getRequestURI

    public java.lang.String getRequestURI()

### setRequestURI

    public void setRequestURI(java.lang.String requestURI)

### getBody

    public ByteChunk getBody()

### setBody

    public void setBody(ByteChunk body)

### getContentType

    public java.lang.String getContentType()

### setContentType

    public void setContentType(java.lang.String contentType)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.